****
**** Programmcodes zu Kapitel 5 Grafiken
****
**** (gespeichert als 5 Grafiken)
****

****
**** Programmcode zu Kapitel 5.1 GRAPH
****

* Beschreiben & Einlesen des Datensatzes
CAL 1992
ALL 2002:1
OPEN DATA ITINDIKATOREND.RAT
DATA(FOR=RAT)

* Erstellen einer Grafik zum Vergleich der Entwicklung von
* PC- und Telefonpenetration in Deutschland
GRAPH(STYLE=OVERLAPBAR,KEY=UPLEFT,HEADER=$
'PC-Penetration vs. Telefonpenetration',$
SUBHEAD='(in Gerten pro 100 Einwohner)',$
HLABEL='Jahr',VLABEL='Gerte je 100 Einwohner',$
WINDOW='Beispiel zum GRAPH-Befehl',$
OVERLAY=SYMBOL,OMAX=30000,OMIN=20000,NOOVKEY,$
OVLABEL='BIP pro Kopf in USD') 3
# PCPRO100
# TELPRO100 / 3
# BIPPKUSD / 1


****
**** Programmcode zu Kapitel 5.2 SCATTER
****

* Durchfhren notwendiger Datentransformationen
SET DELTABIPPK = (BIPPKUSD-BIPPKUSD{1})/ BIPPKUSD {1}
SET DELTAPCPRO100 = (PCPRO100-PCPRO100{1})/ PCPRO100 {1}

* Erstellen eines Streudiagramms fr die Vernderung
* des BIPPK und der PC-Penetration
SCATTER(VLABEL='Wachstumsrate der PC-Penetration',$
HLABEL='Wachstumsrate des BIP pro Kopf',$
HEADER='Einkommensvernderung vs. PC-Abdeckung',$
SUBHEAD='von 1992 bis 2002',KEY=NONE,STYLE=SYMBOL,$
HMIN=-0.20,VMIN=0,VMAX=0.25,$
WINDOW='Bsp. zum SCATTER-Befehl') 1
# DELTABIPPK DELTAPCPRO100


****
**** Programmcode zu Kapitel 5.3 Hilfsbefehle zu Grafiken
****

****
**** Programmcode zu Kapitel 5.3.1 SPGRAPH
****

* Erstellen eines Grafikoutputs mit vier eingebetteten
* Einzelgrafiken mit Hilfe des SPGRAPH-Befehls
SPGRAPH(HFIELDS=2,VFIELDS=2$
,WINDOW='Bsp. fr die SPGRAPH-Instruktion'$
,HEADER='berschrift fr SPGRAPH'$
,SUBHEADER='Unterberschrift (zur Verdeutlichung)'$
,HLABEL='HLABEL',VLABEL='VLABEL')

GRAPH(KEY=UPLEFT$
,HEADER='Anzahl der PCs vs. Anzahl der Telefone'$
,HLABEL='Jahr',VLABEL='Anzahl') 2 HFIELD=1 VFIELD=1
# PCSUM / 1
# TELSUM / 5

GRAPH(KEY=BELOW,HEADER='Werte pro 100 Einwohner',MAX=150) $
2 HFIELD=1 VFIELD=2
# PCPRO100 / 1
# TELPRO100 / 5

GRAPH(KEY=NONE,HEADER='Anzahl der Internethosts'$
,STYLE=BAR) 1 HFIELD=2 VFIELD=1
# NETHOSTSUM

SCATTER(VLABEL='Wachstumsrate der PC-Penetration'$
,HLABEL='Wachstumsrate des BIP pro Kopf'$
,HEADER='Einkommensvernderung vs. PC-Abdeckung'$
,SUBHEAD='von 1992 bis 2002'$
,VSCALE=BOTH,KEY=NONE,STYLE=SYMBOL,HMIN=-0.20$
,VMIN=0,VMAX=0.25,WINDOW='Bsp. zur SCATTER-Instruktion') 1 $
HFIELD=2 VFIELD=2
# DELTABIPPK DELTAPCPRO100

SPGRAPH(DONE)

****
**** Programmcode zu Kapitel 5.3.2 GRPARM
****

* Vernderung einiger Parameter bzgl. der Schrift fr
* nachfolgende Grafiken
GRPARM(FONT='TIMES ROMAN',ITALICS) AXISLABELING 20 $
KEYLABELING 30  HEADER 35  SUBHEADER 25

* Erstellen eines berlagerungs-Balkendiagramms auf das
* die vernderten Parameter angewandt werden
GRAPH(STYLE=OVERLAPBAR,KEY=UPLEFT,HEADER=$
'PC-Penetration vs. Telefonpenetration'$
,SUBHEAD='(in Gerten pro 100 Einwohner)'$
,HLABEL='Jahr',VLABEL='Gerte je 100 Einwohner'$
,WINDOW='Beispiel zur GRPARM-Instruktion') 2
# PCPRO100
# TELPRO100 / 5

****
**** Ende des Programmcodes
****



