****
**** Programmcode zu Kapitel 6.5.2.3 Bereinignungsverfahren
**** (von Heteroskedastie)
****
**** (gespeichert als 6.5.2 WLS)
****

* Beschreibung & Einlesen des Datensatzes
ALLOCATE 31
OPEN DATA WLS.xls
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)

*Schtzen der Ausgangstregression
LINREG SPAREN / REST
# CONSTANT EINK

SET QREST = REST**2

* Graphische Darstellung der quadrierten Residuen
SCATTER(HLABEL='Einkommen',VLABEL='Quadrierte Residuen') 1
# EINK QREST


* White-Test
SET QEINK = EINK**2
LINREG QREST
# CONSTANT EINK QEINK

CDF(TITLE='WHITE-Test') CHISQR %TRSQUARED %NREG-1


* BPG-Test
LINREG QREST
# CONSTANT EINK

CDF(TITLE='BPG-Test') CHISQR %TRSQUARED %NREG-1


* WLS-Schtzung (manuelle Gewichtung)
SET SE = SPAREN/EINK
SET EE = 1/EINK

LINREG SE / BPGREST
# CONSTANT EE

SET SQBPGREST = BPGREST**2

SCATTER(HLABEL='Einkommen',VLABEL='Quadrierte Residuen') 1
# EINK SQBPGREST


* White Test auf WLS_Schtzung
SET QEE = EE**2
LINREG(NOPRINT) SQBPGREST
# CONSTANT EE QEE

CDF(TITLE='WHITE-Test') CHISQR %TRSQUARED %NREG-1


* BPG-Test auf WLS-Schtzung
LINREG(NOPRINT) SQBPGREST
# CONSTANT EINK

CDF(TITLE='BPG-Test') CHISQR %TRSQUARED %NREG-1


****
**** Ende des Programmcodes
****



