****
**** Programmcode zu Kapitel 6.5.3 Nicht-Autokorrelation
****
**** (gespeichert als 6.5.3 Autokorrelation)
****
* Beschreibung & Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORG=COL)

* Graphische Prfung
LINREG(NOPRINT) VERB / OLSREST
# CONSTANT EINK INFL

GRAPH(KEY=UPLEFT) 1
# OLSREST



* h-Test von Durbin
LINREG VERB
# CONSTANT VERB{1} EINK INFL

COMPUTE H=%RHO*SQRT(%NOBS/(1-%NOBS*%STDERRS(2)**2))
CDF(TITLE='h-Test von Durbin') NORMAL H

* h-Test von Durbin mittels einer Schleife
COMPUTE NENNER=1-%NOBS*%STDERRS(2)**2
IF NENNER>0
   COMPUTE H = %RHO*SQRT(%NOBS/NENNER)
ELSE
   COMPUTE H = 0.0
END IF
CDF(TITLE='DURBIN H TEST') NORMAL H



* LM-Test von Breusch-Godfrey
LINREG(NOPRINT) VERB / OLSREST
# CONSTANT EINK INFL

LINREG(NOPRINT) OLSREST
# CONSTANT OLSREST{1 TO 5}
CDF(TITLE='LM-Test Breusch-Godfrey (5 Lags)') CHISQR $
%TRSQUARED %NREG-1

LINREG(NOPRINT) OLSREST
# CONSTANT OLSREST{1 TO 4}
CDF(TITLE='LM-Test Breusch-Godfrey (4 Lags)') CHISQR $
%TRSQUARED %NREG-1

LINREG(NOPRINT) OLSREST
# CONSTANT OLSREST{1 TO 3}
CDF(TITLE='LM-Test Breusch-Godfrey (3 Lags)') CHISQR $
%TRSQUARED %NREG-1




* Cochrane-Orcutt-Prozedur
AR1(METHOD=CORC) VERB / AR1REST
# CONSTANT EINK INFL


AR1(METHOD=HILU) VERB
# CONSTANT EINK INFL


GRAPH(KEY=UPLEFT) 2
# OLSREST
# AR1REST / 3



****
**** Ende des Programmcodes
****





