****
**** Programmcode zu Kapitel 6.5.4 Keine Multikollinearitt
****
**** (gespeichert als 6.5.4 Multikollinearitt)
****
* Beschreibung und Einlesen des Datensatzes
CAL 1970
ALL 2004:1
OPEN DATA KONSUM.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)


* Graphische Darstellung der beiden Zeitreihen
SET VERB1 = VERB{1}
GRAPH(KEY=UPLEFT) 2
# EINK
# VERB1


* 1. Korrelationskoeffizient zwischen den Regressoren
SMPL 1971:1 *
DISPLAY 'KORRELATIONSKOEFFIZIENT' @26 %CORR(EINK,VERB1)
SMPL


* 2. Determinationskoeffizient aus der Hilfsregression
LINREG(NOPRINT) EINK
# CONSTANT VERB{1}
DISPLAY 'DETERMINATIONSKOEFFIZIENT' @26 %RSQUARED


* 3. Berechnung des VIF
DISPLAY  'VIF' @26 (1-%RSQUARED)**-1


* 4. Berechnung der Konditionszahl
MAKE XMATRIX 1971:1 2004:1
# CONSTANT EINK VERB{1}
COMPUTE XX = (TR(XMATRIX)*(XMATRIX))
EIGEN XX EIGENV
COMPUTE KONDITIONSZAHL=(%MAXVALUE(EIGENV)/%MINVALUE(EIGENV))$
**0.5
DISPLAY 'KONDITIONSZAHL' @26 KONDITIONSZAHL



* Bereinigung der Multikollinearitt - Differenzenregression
SET DVERB = VERB - VERB {1}
SET DEINK = EINK - EINK {1}
SET DDVERB = VERB{1} - VERB{2}

LINREG DVERB
# DEINK DDVERB

* Prfung der Differenzenregression auf Multikollinearitt

* 1. Korrelationskoeffizient zwischen den Regressoren
SMPL 1972:1 *
DISPLAY 'KORRELATIONSKOEFFIZIENT' %CORR(DEINK,DDVERB)
SMPL


* 2. Determinationskoeffizienten aus der Hilfsregression
LINREG DEINK
# CONSTANT DDVERB


* 3. Berechnung des VIF
DISPLAY  'VIF' (1-%RSQUARED)**-1


* 4. Berechnung der Konditionszahl
MAKE XMATRIX 1971:1 2004:1
# CONSTANT DEINK DDVERB
COMPUTE XX = (TR(XMATRIX)*(XMATRIX))
EIGEN XX EIGENV
COMPUTE KONDITIONSZAHL=(%MAXVALUE(EIGENV)/%MINVALUE(EIGENV))$
**0.5
DISPLAY 'KONDITIONSZAHL' KONDITIONSZAHL



****
**** Ende des Programmcodes
****







