****
**** Programmcode zu Kapitel 6.6.3 Qualitative Regressanden -
**** DDV und L/DDV-WIZARD
****
**** (gespeichert als 6.6.3 LogitProbit)
****
* Beschreibung und Einlesen des Datensatzes
ALLOCATE 30
OPEN DATA LOGITPROBIT.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)

PRINT

* Logit-Modell
* (unrestringiertes Modell)
DDV(DISTRIBUTION=LOGIT) KAUF
# CONSTANT EINKOMMEN FAMSTAND

COMPUTE LLU = %LOGL

* (restringiertes Modell)
DDV(DISTRIBUTION=LOGIT,NOPRINT) KAUF
# CONSTANT

COMPUTE LLR = %LOGL

* R-Quadrat von McFadden
COMPUTE MCFADDEN = 1-LLU/LLR
DISPLAY 'R-Quadrat von McFadden' MCFADDEN

* LR-Test
COMPUTE LR = -2*LLR-(-2*LLU)
DISPLAY 'LR-Test, berechneter Wert' LR
CDF(TITLE='LR-Test') CHISQUARED LR 2


* Kaufwahrscheinlichkeiten
DDV(DISTRIBUTION=LOGIT,NOPRINT) KAUF
# CONSTANT EINKOMMEN FAMSTAND

PRJ(DISTRIBUTION=LOGIT,CDF=PKAUF_LGT)
PRINT

DISPLAY 'Individuum 6'
DISPLAY 'KAUF      (1=Ja, 0=Nein)' @40 KAUF(6)
DISPLAY 'EINKOMMEN (in EURO)' @40 EINKOMMEN(6)
DISPLAY 'FAMSTAND  (1=Nicht-Single, 0=Single)' @40 FAMSTAND(6)
DISPLAY ''
DISPLAY 'Kaufwahrscheinlichkeit' @40 PKAUF_LGT(6)


* Probit-Modell
DDV KAUF
# CONSTANT EINKOMMEN FAMSTAND

* Kaufwahrscheinlichkeiten
PRJ(CDF=PKAUF_PRB)
PRINT

* Speicherung der Z-Werte
PRJ(CDF=PKAUF_PRB) Z_WERTE
PRINT


****
**** Ende des Programmcodes
****



