****
**** Programmcode zu Kapitel 8.3.3 ARMA(p,q)-Prozesse
****
**** (gespeichert als 8.3.3 ARMA(1,1)-Simulation (noprint))
****
ALLOCATE 2000
SET y = 0.0
SET a = %ran(1)
EQUATION(variance=2.0,noconstant) simeq y 1 1
ASSOCIATE(resid=a) simeq
# 0.6 0.2
SIMULATE 1 2000 3
# simeq y


* Graphische Darstellung
GRAPH(window='ARMA(1,1)-Prozess') 1
# y 1 150

CORRELATE(correlations=akf,partial=pakf,number=25) y

* Berechnung der Signifikanz-Grenzen
set beo = %nobs
set up = 2/(beo**0.5)
set low = -2/(beo**0.5)



* Graphische Darstellung
GRAPH(style=bargraph,number=0,max=1.,min=-1.,$
window='AKF und PAKF',header='AKF und PAKF eines ARMA(1,1)-Prozesses',$
overlay=line,ovsamescale,ovcount=2,pattern) 4
# akf / 1
# pakf / 4
# up 1 26 2
# low 1 26 2


SPGRAPH(hfields=2,vfi=1,header='AKF und PAKF eines ARMA(1,1)-Prozesses',$
window='Korrelogramme ARMA(1,1)-Prozess')

GRAPH(header='AKF eines ARMA(1,1)-Prozesses',number=1,style=bargraph,$
overlay=line,ovsamescale,ovcount=2,pattern) 3
# akf 2 *
# up 2 26 2
# low 2 26 2

GRAPH(header='PAKF eines ARMA(1,1)-Prozesses',number=1,style=bargraph,$
overlay=line,ovsamescale,ovcount=2,pattern) 3
# pakf 2 * 4
# up 2 26 2
# low 2 26 2

SPGRAPH(done)


BOXJENK(ar=1,ma=1,define=ARIMA) y


****
**** Ende des Programmcodes
****









