****
**** Programmcode zu Kapitel 8.4.2 Schtzung und Prognose
****
**** (gespeichert als 8.4.2 GDP ARIMA
****
* Beschreibung & Einlesen des Datensatzes
CALENDAR 1929
ALLOCATE 2004:1
OPEN DATA GDP.XLS
DATA(FORMAT=XLS,ORGANIZATION=COLUMNS)
SOURCE URAUTO.SRC

* Graphische Darstellung der Zeitreihe
GRAPH(HEADER='Bruttoinlandsprodukt der USA',VLABEL=$
'Mrd. $ (in Preisen von 2000)',HLABEL='Zeit',$
WINDOW='BIP der USA') 1
# GDP

DIFFERENCE GDP / DGDP

* berprfung der Stationaritt
@URAUTO(LAG=0) DGDP

CORRELATE(CORRELATIONS=AKF,PARTIAL=PAKF,NOPRINT) GDP
GRAPH(STYLE=BARGRAPH,KEY=UPRIGHT,NUMBER=0,MAX=1.0,MIN=-1.0,$
WINDOW='AKF und PAKF der Ursprungsdaten') 2
# AKF
# PAKF

SOURCE BJIDENT.SRC
@BJIDENT(DIFF=1) GDP

BOXJENK(CONST,AR=1,MA=2,DIFF=1,DEFINE=ARIMA) GDP / RESIDS

DO I=0,5
DO J=0,5
BOXJENK(CONST,AR=I,MA=J,DIFF=1,NOPRINT) GDP
COMPUTE AIC=(2*(I+J+1)/%NOBS)+LOG(%SEESQ)
COMPUTE SBC=(LOG(%NOBS)*(I+J+1)/%NOBS)+LOG(%SEESQ)
DISPLAY 'P=' I 'Q=' J 'AIC=' AIC 'SBC=' SBC
END DO J
END DO I

UFORECAST(EQUITATION=ARIMA,STDERRS=FEHLER) PROG 2003:1 2005:1
SET OBEN 2003:1 2005:1 = PROG+1.96*FEHLER
SET UNTEN 2003:1 2005:1 = PROG-1.96*FEHLER

GRAPH(HEADER='Werte und Prognose',HLABEL='Jahr',$
VLABEL='GDP in Mrd. $',PATTERNS) 4
# Prog / 2
# GDP 1990:1 * 1
# OBEN / 3
# UNTEN / 3

PRINT / PROG

****
**** Ende des Programmcodes
****






