****
**** Programmcode zu Kapitel 8.5.2 Schtzung von VAR-Modellen
****
**** (gespeichert als 8.5.2 VAR Wachstum)
****
* Beschreibung & Einlesen des Datensatzes
CALENDAR 1961
ALLOCATE 2002:1
OPEN DATA WACHSTUM.XLS
DATA(FORMAT=XLS,ORG=COLUMNS)

* Schtzung des Systems und Granger-Test
SYSTEM(MODEL=WACHSTUM)
VARIABLES W_AUSGABEN W_BIP
LAGS 1 TO 3
DETERMINISTIC CONSTANT
END(SYSTEM)
ESTIMATE(OUTSIGMA=V,RESIDUALS=RESTWERTE)

* Bestimmung der Lag-Lnge
DO LAGS=1,7
SYSTEM(MODEL=ABSOLUT)
VARIABLES W_AUSGABEN W_BIP
LAGS 1 TO LAGS
DETERMINISTIC CONSTANT
END(SYSTEM)
ESTIMATE(NOPRINT)
COMPUTE AIC=%LOGDET+%NREGSYSTEM*2.0/%NOBS
COMPUTE BIC=%LOGDET+%NREGSYSTEM*LOG(%NOBS)/%NOBS

IF LAGS==1
DISPLAY @4 'LAGS' @20 'AIC' @35 'BIC'

DISPLAY @5 #### LAGS @20 ####.#### AIC @35 ####.#### BIC
END DO LAGS


* LR-Test
SYSTEM(MODEL=UNREST)
VARIABLES W_AUSGABEN W_BIP
LAGS 1 TO 4
DETERMINISTIC CONSTANT
END(SYSTEM)
ESTIMATE(NOPRINT,RESIDS=RESID4) 1966:1 *
COMPUTE LOGDETU=%LOGDET
COMPUTE MCORR=%NREG
COMPUTE NTOTAL=%NREGSYSTEM

SYSTEM(MODEL=REST)
VARIABLES W_AUSGABEN W_BIP
LAGS 1 TO 3
DETERMINISTIC CONSTANT
END(SYSTEM)
ESTIMATE(NOPRINT,RESIDS=RESID3) 1966:1 *
COMPUTE LOGDETR=%LOGDET

COMPUTE NRESTR=NTOTAL-%NREGSYSTEM
RATIO(DEGREES=NRESTR,MCORR=MCORR,TITLE=$
'TEST AUF 3 ODER 4 LAGS')
# RESID4
# RESID3

CDF CHISQR (%NOBS-MCORR)*(LOGDETR-LOGDETU) NRESTR



SYSTEM(MODEL=WACHSTUM)
VARIABLES W_AUSGABEN W_BIP
LAGS 1 TO 3
DETERMINISTIC CONSTANT
END(SYSTEM)

ESTIMATE(OUTSIGMA=V,RESIDUALS=RESTWERTE)


* Varianzzerlegung
ERRORS(MODEL=WACHSTUM) 2 6 V


* Berechnung der Impuls-Antwort-Funktionen
DECLARE RECTANGULAR[SERIES] ANTWORTEN(2,2)
IMPULSE(MODEL=WACHSTUM,RESULT=ANTWORTEN) * 12 * V

COMPUTE BEZEICHNUNG = ||'Wachstum ff. Ausgaben',$
'Wirtschaftswachstum'||


* Graphische Darstellung
SPGRAPH(HFIELDS=2,VFI=1,HEADER='Impuls-Antwort-Funktion')

GRAPH(HEADER='Schock in der Wachstumsrate der ff. Ausgaben',$
NUMBER=0,PATTERNS,KLABELS=BEZEICHNUNG) 2
#ANTWORTEN(1,1);#ANTWORTEN(2,1)

GRAPH(HEADER='Schock im Wirtschaftswachstum',$
NUMBER=0,PATTERNS,KLABELS=BEZEICHNUNG) 2
#ANTWORTEN(1,2);#ANTWORTEN(2,2)

SPGRAPH(DONE)


* Testen der White-Noise-Eigenschaften der latenten Variablen
CORRELATE(QSTAT) RESTWERTE(1)
CORRELATE(QSTAT) RESTWERTE(2)



****
**** Ende des Programmcodes
****




