****
**** Programmcodes zu Kapitel 9 Paneldatenanalyse
****
**** (gespeichert als 9 Paneldatenanalyse)
****

****
**** Programmcode zu Kapitel 9.3.2 Einlesen von Daten
****

* Beschreiben & Einlesen des Datensatzes
CALENDAR(PANELOBS=10) 1993 1
ALLOCATE 4//10
OPEN DATA 4REGIONEN.RAT
DATA(FORMAT=RAT)

****
**** Programmcode zu Kapitel 9.4.1 Schtzung des Classical
**** Pooling Modells
****

* CP-Schtzung und speichern der Residuen (RESIDS)
* fr die Tests mit dem PSTATS-Befehl
DISPLAY 'CP-Schtzung der TEU'
LINREG TEU / RESIDS
# CONSTANT BIPPK X M FRO

****
**** Programmcode zu Kapitel 9.4.2 Liegen Individual- bzw.
**** Zeiteffekte vor?
****

* Test auf Individualeffekte mit dem PSTATS-Befehl
DISPLAY 'Test auf Individualeffekte und Homoskedastie'

* F-Test (Varianzanalyse - nur Individualeffekte)
PSTATS(BLOCK=10,TEST,EFFECT=INDIV) RESIDS

* LR-Test auf Varianzengleichheit
PSTATS(BLOCK=10,SPREAD) RESIDS

* Test auf Individualeffekte mit dem manuell programmierten
* F-Test
* Schtzen des CP-Modells
LINREG(NOPRINT) TEU
# CONSTANT BIPPK X M FRO

* Speichern der Residuenquadratsumme des CP-Modells
* als Variable CPRSSTEU
COMPUTE CPRSSTEU=%RSS

* Schtzen des FE-Modells (mit dem PREGRESS-Befehl
* s. Kapitel 9.4.3)
PREGRESS(NOPRINT) TEU
# BIPPK X M FRO

* Speichern der Residuenquadratsumme des FE-Modells
* als Variable FERSSTEU
COMPUTE FERSSTEU = %RSS

* Berechnen & Ausgeben der Prfgre
DISPLAY 'F-Test auf Vorliegen von Individualeffekten'
COMPUTE FSTAT=((CPRSSTEU-FERSSTEU)/(4-1))/(FERSSTEU/  $
(%NOBS-(4+%NREG-1)))
CDF FTEST FSTAT 3 %NOBS-(4+%NREG-1)

****
**** Programmcode zu Kapitel 9.4.3 Schtzung des
**** Fixed Effects und des Random Effects-Modells
****

* FE-Schtzung mit Hilfe des PREGRESS-Befehls
DISPLAY 'FE-Schtzung der TEU - programmiert mit PREGRESS'
PREGRESS TEU
# BIPPK X M FRO

* RE-Schtzung mit Hilfe des PREGRESS-Befehls
DISPLAY 'RE - Schtzung fr TEU'
PREGRESS(METHOD=RANDOMEFFECTS) TEU
# CONSTANT BIPPK X M FRO

* FE-Schtzung mit Hilfe des LINREG-Befehls und manuell
* eingefgten Dummy-Variablen
DISPLAY 'FE - Schtzung mit manuell eingefgten Dummies'
LINREG TEU
# D1 D2 D3 D4 BIPPK X M FRO

****
**** Programmcode zu Kapitel 9.4.4 Wahl zwischen FE- und
**** RE-Modell - der Hausman-Test
****

* Berechnung der RE-Schtzung (ohne Ausgabe der Ergebnisse)
PREG(EFFECTS=INDIVIDUAL,METHOD=RANDOMEFFECTS,NOPRINT) TEU
# CONSTANT BIPPK X M FRO

* Umbenennen des berechneten Koeff.vektors & der Cov-Matrix
COMPUTE COVRE=%XX
COMPUTE BETARE=%BETA

* Berechnung der FE-Schtzung (ohne Ausgabe der Ergebnisse)
* Estimate Fixed Effects model. We include the CONSTANT (which washes out
* to a zero coefficient with zero standard error) to simplify the calculation
* of the test statistic
PREG(NOPRINT) TEU
# CONSTANT BIPPK X M FRO

COMPUTE %XX=%XX*%SEESQ-COVRE

* Test auf Gleichheit der beiden Koeffizentenvektoren
TEST(WHOLE,VECTOR=BETARE,NOSCALE,TITLE='Hausman Test')


****
**** Ende des Programmcodes
****






